Ghost Inspector
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Ghost Inspector action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
GHOST_INSPECTORurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationintegrationrequiredGhostInspectorIntegrationRef
Ghost Inspector integration (GHOST_INSPECTOR)api_keystring
The API key for Ghost Inspectorregionstring
Geo-location for test execution. The following options are available: us-east-1, us-west-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, eu-west-3, eu-north-1, ap-northeast-1, ap-northeast-2, ap-southeast-1, ap-southeast-2, ap-south-1, sa-east-1folderstring
The ID of the folder to executesuitestring
The ID of the suite to executebrowserstring
Alternate browser to use for this execution. The following options are available: firefox (default), firefox-<version> specific version of Firefox, for example firefox-57, chrome (paid plans only), phantomjschannelstring
Specify the Slack channel to notify for this suite run. Note that the value must be myChannel or %23myChannel and not #myChanneluserstring
The name to associate with the eventpasswordstring
The password to associate with the eventimmediateboolean
Use to initiate the execution, then immediate return a response (without results)disable_notificationboolean
Use to disable all notifications for this execution onlystart_urlstring
Alternate start URL to use for all tests in this execution onlyuser_agentstring
Alternate user agent to use for all tests in this execution onlywebhookstring
The webhook URL to call after executionviewportstring
Alternate screen size to use for all tests in this execution only. This should be a string formatted as {width}x{height}, for example 1024x768data_filestring
A CSV file containing a row of variable values for each suite run. A POST request must be used when sending this file. When included, an array of suite results will be returned instead of an array of test resultResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
GHOST_INSPECTORurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopintegrationIntegrationIdentifierView
The integration used by the actionapi_keystring
The API key for Ghost Inspectorregionstring
Geo-location for test execution. The following options are available: us-east-1, us-west-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, eu-west-3, eu-north-1, ap-northeast-1, ap-northeast-2, ap-southeast-1, ap-southeast-2, ap-south-1, sa-east-1folderstring
The ID of the folder to executesuitestring
The ID of the suite to executebrowserstring
Alternate browser to use for this execution. The following options are available: firefox (default), firefox-<version> specific version of Firefox, for example firefox-57, chrome (paid plans only), phantomjschannelstring
Specify the Slack channel to notify for this suite run. Note that the value must be myChannel or %23myChannel and not #myChanneluserstring
The name to associate with the eventpasswordstring
The password to associate with the eventimmediateboolean
Use to initiate the execution, then immediate return a response (without results)disable_notificationboolean
Use to disable all notifications for this execution onlystart_urlstring
Alternate start URL to use for all tests in this execution onlyuser_agentstring
Alternate user agent to use for all tests in this execution onlywebhookstring
The webhook URL to call after executionviewportstring
Alternate screen size to use for all tests in this execution only. This should be a string formatted as {width}x{height}, for example 1024x768data_filestring
A CSV file containing a row of variable values for each suite run. A POST request must be used when sending this file. When included, an array of suite results will be returned instead of an array of test resultLast modified on Feb 18, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Ghost Inspector Action",
"type": "GHOST_INSPECTOR",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "filePath",
"value": "variable.csv"
}
],
"user": "username",
"password": "ha16@sdharj21529aA==",
"immediate": false,
"disable_notification": false,
"region": "us-east-1",
"browser": "opera",
"suite": "5c9ca42171f823532163ef760",
"folder": "5cd019551a5fads555105142",
"channel": "slack_channel_name",
"viewport": "5c9ca42171f8231b363ef760",
"data_file": "$filePath",
"start_url": "https://app.buddy.works/nickname",
"user_agent": "usernameghost",
"integration": {
"identifier": "ghost-inspector"
}
}'STATUS200 OK